Bug 1265528 - App shows gear info incorrectly after moved to node with different profile
App shows gear info incorrectly after moved to node with different profile
Status: CLOSED EOL
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Timothy Williams
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 03:22 EDT by Yanping Zhang
Modified: 2017-01-13 17:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 17:30:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2015-09-23 03:22:59 EDT
Description of problem:
After move a small gear to medium profile node, the "rhc app show <appname>" still shows gear info with small profile.(Same when move medium gear to small profile node).

Version-Release number of selected component (if applicable):
OpenShiftEnterpriseErrata/2.2/2015-09-22.1/

How reproducible:
Always

Steps to Reproduce:
1.Create app with small gear.
# rhc app create phptest php-5.4 -g small
2.Move the small gear to a medium profile node.
# oo-admin-move --gear_uuid dom1-phptest-1 -p medium --change_district
3.Show the app.
# rhc app show phptest
4.Show the app with -g option.
# rhc app show phptest -g

Actual results:
1.Create app successfully.
2.Move gear to medium profile node successfully.
3.It shows gear info with small profile
# rhc app show phptest
phptest @ http://phptest-dom1.ose22-auto.com.cn/ (uuid: 5602170682611db5f2000c80)
---------------------------------------------------------------------------------
  Domain:     dom1
  Created:    11:05 AM
  Gears:      1 (defaults to small)
  Git URL:    ssh://dom1-phptest-1@phptest-dom1.ose22-auto.com.cn/~/git/phptest.git/
  SSH:        dom1-phptest-1@phptest-dom1.ose22-auto.com.cn
  Deployment: auto (on git push)

  php-5.4 (PHP 5.4)
  -----------------
    Gears: 1 small

4.Show gear info with medium profile correctly
# rhc app show phptest -g
ID             State   Cartridges Size   SSH URL
-------------- ------- ---------- ------ ---------------------------------------------
dom1-phptest-1 started php-5.4    medium dom1-phptest-1@phptest-dom1.ose22-auto.com.cn



Expected results:
3.In the app info, the gear should be medium profile, not small.

Additional info:
Comment 1 Yanping Zhang 2015-09-23 21:12:54 EDT
Check on web, after moving app to another profile node, in app info, it also shows the original gear profile and storage info. The cause may be the same as in client.
Comment 6 Rory Thrasher 2017-01-13 17:30:24 EST
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.